#!/usr/bin/env bash

echo "Building API"
dub --root=api --quiet clean
dub --root=api --quiet build --build=release

ssh -f root@andrewlalis.com 'systemctl stop mc-server-manager.service'
rsync api/mc-server-manager root@andrewlalis.com:/opt/mc-server-manager/mc-server-manager
rsync -rav -e ssh --delete api/app/* root@andrewlalis.com:/opt/mc-server-manager/app/
ssh -f root@andrewlalis.com 'systemctl start mc-server-manager.service'
